Qt 5.11 | Qt Sensors | C++ Classes | QPressureReading

Qt 5.11.3 Reference Documentation

# QPressureReading Class

The QPressureReading class holds readings from the pressure sensor. More...

Header: | #include <QPressureReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- pressure : const qreal
- temperature : const qreal

- 1 property inherited from QSensorReading

## Public Functions

| QPressureReading(QObject *parent = DECLARE_READING(QPressureReading))
virtual | ~QPressureReading()
qreal | pressure() const
void | setPressure(qreal pressure)
void | setTemperature(qreal temperature)
qreal | temperature() const

## Reimplemented Public Functions

virtual void | copyValuesFrom(QSensorReading *other) override

- 4 public functions inherited from QSensorReading

## Detailed Description

The QPressureReading class holds readings from the pressure sensor.

#### QPressureReading Units

The pressure sensor returns atmospheric pressure values in Pascals.

## Property Documentation

### pressure : const qreal

This property holds the measured atmospheric pressure.

Returned as Pascals.

Access functions:

qreal | pressure() const

See also QPressureReading Units.

### temperature : const qreal

This property holds the pressure sensor's temperature.

The temperature is returned in degree Celsius. This property, if supported, provides the pressure sensor die temperature. Note that this temperature may be (and usually is) different than the temperature reported from QAmbientTemperatureSensor. Use QSensor::isFeatureSupported() with the QSensor::PressureSensorTemperature flag to determine its availability.

This property was introduced in Qt 5.2.

Access functions:

qreal | temperature() const

## Member Function Documentation

### QPressureReading::QPressureReading(QObject *parent = DECLARE_READING(QPressureReading))

Default constructs an instance of QPressureReading.

### `[virtual]` QPressureReading::~QPressureReading()

Destroys the instance of QPressureReading. The destructor is virtual.

### `[override virtual]` void QPressureReading::copyValuesFrom(QSensorReading *other)

### void QPressureReading::setPressure(qreal pressure)

Sets the pressure to pressure.

See also pressure().

### void QPressureReading::setTemperature(qreal temperature)

Sets the pressure sensor's temperature to temperature.

This function was introduced in Qt 5.2.

See also temperature().